> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an external entity by wallet ID

> Returns an external entity by wallet ID.

To access the Core API for Institutions, contact your Circle account representative.




## OpenAPI

````yaml openapi/institutional.yaml get /v1/externalEntities/{walletId}
openapi: 3.0.2
info:
  version: ${version}
  title: Core API for Institutions
  description: >-
    The Circle Institutional API provides endpoints for the distribution of USDC
    to end institutions.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: External Entities
    description: Manage your external entities.
paths:
  /v1/externalEntities/{walletId}:
    get:
      tags:
        - External Entities
      summary: Get an external entity by wallet ID
      description: >
        Returns an external entity by wallet ID.


        To access the Core API for Institutions, contact your Circle account
        representative.
      operationId: getExternalEntityByWalletId
      parameters:
        - name: walletId
          description: The wallet ID of the external entity.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved an external entity.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalEntity'
              examples:
                response:
                  value:
                    walletId: '212000'
                    businessName: Circle Internet Financial Inc.
                    businessUniqueIdentifier: '1234567890'
                    identifierIssuingCountryCode: US
                    complianceState: PENDING
      security:
        - bearerAuth: []
components:
  schemas:
    ExternalEntity:
      type: object
      description: An external entity
      properties:
        walletId:
          $ref: '#/components/schemas/InstitutionalWalletId'
        businessName:
          type: string
          description: The name of the business.
          example: Circle Internet Financial Inc.
        businessUniqueIdentifier:
          type: string
          description: >-
            The unique identifier of the business. For example, a company number
            or tax ID.
          example: '1234567890'
        identifierIssuingCountryCode:
          type: string
          description: >-
            The country code of the issuing authority. Formatted as a two-letter
            country code specified in ISO 3166-1 alpha-2.
          pattern: ^[A-Z]{2}$
          example: US
        complianceState:
          type: string
          description: The compliance status of the external entity.
          enum:
            - PENDING
            - ACCEPTED
            - REJECTED
    InstitutionalWalletId:
      type: string
      description: >-
        Unique system-generated identifier for the wallet of the institutional
        entity.
      example: '212000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````